Bug 140577 - artsdsp does not work
Summary: artsdsp does not work
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: arts (Show other bugs)
(Show other bugs)
Version: 2
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-23 18:16 UTC by Jeremy Sanders
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version: FC 4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-01 10:24:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeremy Sanders 2004-11-23 18:16:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
If you use artsdsp to redirect the sound output of an application
(e.g. mozilla), then it does not work:

xpc20:~> artsdsp `which xmms`
/usr/bin/xmms: error while loading shared libraries: /lib/libdl.so.2:
cannot open shared object file: No such file or directory

artsdsp includes a reference to /lib/libdl.so.2 (a 32 library).

It also seems artsdsp doesn't work on 32 bit binaries. It preloads a
64 bit library. The arts package provides executables, so it is hard
to install the 32 and 64-bit packages simultaneously.


Version-Release number of selected component (if applicable):
arts-1.2.2-2

How reproducible:
Always

Steps to Reproduce:
1. Run artsdsp on an application
2.
3.
    

Additional info:

Comment 1 Matthew Miller 2005-04-26 15:26:13 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.


Note You need to log in before you can comment on or make changes to this bug.